Bug 727131 - gedit-3.0.6-1.fc15: 'Save' option in 'External tools' plugin does not work
gedit-3.0.6-1.fc15: 'Save' option in 'External tools' plugin does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-01 07:55 EDT by bernhard.d
Modified: 2012-08-07 14:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1105840 (view as bug list)
Environment:
Last Closed: 2012-08-07 14:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description bernhard.d 2011-08-01 07:55:21 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:5.0) Gecko/20100101 Firefox/5.0

An external tool will not executed if its 'Save' option is activated in the 'Manage External Tools...' dialog. Does not matter if current document or all documents is selected in the option field.

Reproducible: Always

Steps to Reproduce:
1. open gedit
2. go to 'Manage External Tools...'
3. choose the predefind 'Remove trailing spaces'
4. choose current document in the 'Save' option field and close
5. try this tool with a test file
Actual Results:  
The tool does not run.


Traceback (most recent call last):
  File "/usr/lib64/gedit/plugins/externaltools/functions.py", line 246, in capture_menu_action
    MultipleDocumentsSaver(window, panel, [window.get_active_document()], node)
  File "/usr/lib64/gedit/plugins/externaltools/functions.py", line 225, in __init__
    Gedit.commands.save_document(window, doc)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 270, in __getattr__
    return getattr(self._introspection_module, name)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 101, in __getattr__
    self.__name__, name))
AttributeError: 'gi.repository.Gedit' object has no attribute 'commands'
Comment 1 tawakiy 2011-09-19 13:08:10 EDT
I confirm this bug on gedit.i686-3.0.6-1.fc15.
Comment 2 LaKing 2011-10-22 20:20:42 EDT
You have to edit /usr/lib/gedit/plugins/externaltools/functions.py", line 225 and replace

Gedit.commands.save_document(window, doc)
to
Gedit.commands_save_document(window, doc)

From: Gábor Librecz <kuglee@gmail.com>
Comment 3 Fedora End Of Life 2012-08-07 14:29:31 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.